# Example Usecase

The primary purpose of this directory is to house components of `Yields_and_Resolutions.ipynb`, 
which serves as an example of how one might use the outputs of `nrCascadeSim`. 
In this example, the yield of the simulated data is taken, 
a mathematical representation of the detector's resolution is applied,
and the resulting spectra are plotted.

## Instructions

*These instructions are provided in the notebook as well if you would prefer to see them in context.*

The notebook calls a pre-generated file `data/file.root`, which will re-generate the provided image exactly if left unchanged.
If you would like to see the full functionality of nrCascadeSim, however, you can replace this file or generate a new one and alter the path in the library.
You can replace the file by running the script `generate.sh` or by the command below from the repository's top level:
    `bin/realizeCascades -n 10000 -o test-example/data/file.root levelfiles/Si28_ngam_all_cascades.txt`

## Files

* `Yields_and_Resolutions_??.ipynb` - the notebooks serving as the example described above. The last two characters indicate the material used for simulation.
* `Z_G4Comparison.ipynb` - a notebook comparing data output with nrCascadeSim to data output with Geant4 in the context of applying yield models.
* `environment.yml` - a conda environment yml file including everything needed to run this example.
* `generate.sh` - a short shell script for running a new simulation using nrCascadeSim. Note that this will overwrite the provided file.
* `rpune.py` - a python script for taking in Geant4 data and removing information that is not necessary for Z_G4Comparison.ipynb (see notebook).
* `requirements.txt` - a pip requirements text file including all pip packages needed to run this example, as an alternative to the yml file.
* `SorVsLin.svg` - a static image of one particular run of the simulation and analysis.
* `standard.mplstyle` - formatting parameters read by the plotting library.
* `test_local.py` - script for CI to ensure that the notebook is running without errors.
* `data` directory - contains some precompiled data for the notebook for those who do not wish to generate their own.
* `plots` directory - contains plots generated by notebooks.
* `python` directory - contains libraries used for the data processing.